Package ru.bitel.bgbilling.modules.tv.common.service

# Interface TvService

public interface TvService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TvServiceSpecChannelLink>`
  `channelLinkList(int serviceSpecId, Date date)`
  `void`
  `channelLinkUpdate(int serviceSpecId, List<TvServiceSpecChannelLink> linkList)`
  `List<TvChannelSpec>`
  `channelSpecList(int serviceSpecId, Date dateFrom, Date dateTo, String title)`
  `void`
  `channelSpecListUpdate(int serviceSpecId, List<TvChannelSpec> tvChannelSpecList)`
  `int`
  `getProductSpecEntitySpecId()`
  `int`
  `getServiceSpecEntitySpecId()`
  `int`
  `getTvChannelSpecEntitySpecId()`
  `void`
  `groupOperationActivate(Set<Integer> contractIds, Date time, int productSpecId, int activationModeId, String description, String comment)`
  `void`
  `groupOperationDeactivate(Set<Integer> contractIds, Date time, int productSpecId, int activationModeId, boolean now)`
  `List<IdTitle>`
  `npayServiceList()`
  `BigDecimal`
  `precalculateAccount(int contractId, Date dateTo)`
  Вычисление будущей наработки для определения рекомендуемого платежа.
  `void`
  `prolongate(int contractId, BigDecimal balance, BigDecimal limit, ProlongationType prolongationType)`
  Принудительный вызов попытки пролонгации продуктов договора.
  `void`
  `recalculate(String email, Date dateFrom, Date dateTo, Set<Integer> contractGroupIds, Set<Integer> contractIds)`

- ## Method Details

  - ### channelLinkList

    List<TvServiceSpecChannelLink> channelLinkList(int serviceSpecId, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### channelLinkUpdate

    void channelLinkUpdate(int serviceSpecId, List<TvServiceSpecChannelLink> linkList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### channelSpecList

    List<TvChannelSpec> channelSpecList(int serviceSpecId, Date dateFrom, Date dateTo, String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### channelSpecListUpdate

    void channelSpecListUpdate(int serviceSpecId, List<TvChannelSpec> tvChannelSpecList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductSpecEntitySpecId

    int getProductSpecEntitySpecId() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServiceSpecEntitySpecId

    int getServiceSpecEntitySpecId() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTvChannelSpecEntitySpecId

    int getTvChannelSpecEntitySpecId() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### recalculate

    void recalculate(String email, Date dateFrom, Date dateTo, Set<Integer> contractGroupIds, Set<Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### prolongate

    void prolongate(int contractId, BigDecimal balance, BigDecimal limit, ProlongationType prolongationType) throws ru.bitel.bgbilling.common.BGException
    Принудительный вызов попытки пролонгации продуктов договора.
    Parameters:
      `contractId` -
      `balance` -
      `limit` -
      `prolongationType` -

  - ### precalculateAccount

    BigDecimal precalculateAccount(int contractId, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Вычисление будущей наработки для определения рекомендуемого платежа.
    Parameters:
      `contractId` -
      `dateTo` -
    Returns:

  - ### groupOperationActivate

    void groupOperationActivate(Set<Integer> contractIds, Date time, int productSpecId, int activationModeId, String description, String comment) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### groupOperationDeactivate

    void groupOperationDeactivate(Set<Integer> contractIds, Date time, int productSpecId, int activationModeId, boolean now) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### npayServiceList

    List<IdTitle> npayServiceList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`